Program AsmTest;

Type
  S2 = packed array [ 1..2 ] of Char;

Var
  Test, OK: S2;


Function GetOK: S2;

begin (* GetOK *)
  asm ( 'movw %1, %0'           (* only on i386 *)
        : '=r' ( Result )
	: 'rm' ( Test ) );
end (* GetOK *);


begin
  Test:= 'OK';
  OK:= GetOK;
  writeln ( OK );
end.
